summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFlorian Dold <florian.dold@gmail.com>2016-04-24 21:55:56 +0200
committerFlorian Dold <florian.dold@gmail.com>2016-04-24 21:55:56 +0200
commitbcd09e9a0036c004c1a1c0dbd58c67e716cea786 (patch)
tree08f9b6044be240f0bf82dcf4d2928ccf21d7b220
parent8d43fd25ef96226d0f0fdf19b5bc792cd6142dd4 (diff)
downloaddeployment-bcd09e9a0036c004c1a1c0dbd58c67e716cea786.tar.gz
deployment-bcd09e9a0036c004c1a1c0dbd58c67e716cea786.tar.bz2
deployment-bcd09e9a0036c004c1a1c0dbd58c67e716cea786.zip
makefiles
-rw-r--r--taler-build/Makefile17
-rwxr-xr-xtaler-build/update_libgnurl.sh23
-rwxr-xr-xtaler-build/update_libmicrohttpd.sh11
-rwxr-xr-xtaler-build/update_merchant_frontends.sh19
4 files changed, 67 insertions, 3 deletions
diff --git a/taler-build/Makefile b/taler-build/Makefile
index d40e085..954e4b2 100644
--- a/taler-build/Makefile
+++ b/taler-build/Makefile
@@ -1,10 +1,10 @@
-all: exchange-stamp bank-stamp merchant-stamp
+all: exchange-stamp bank-stamp merchant-stamp gnunet-stamp merchant-frontends-stamp
exchange-stamp: gnunet-stamp
~/deployment/taler-build/update_exchange.sh
touch $@
-gnunet-stamp:
+gnunet-stamp: libmicrohttpd-stamp libgnurl-stamp
~/deployment/taler-build/update_gnunet.sh
touch $@
@@ -12,7 +12,18 @@ bank-stamp: exchange-stamp
~/deployment/taler-build/update_bank.sh
touch $@
-
merchant-stamp: exchange-stamp
~/deployment/taler-build/update_merchant.sh
touch $@
+
+libmicrohttpd-stamp:
+ ~/deployment/taler-build/update_libmicrohttpd.sh
+ touch $@
+
+libgnurl-stamp:
+ ~/deployment/taler-build/update_libgnurl.sh
+ touch $@
+
+merchant-frontends-stamp:
+ ~/deployment/taler-build/update_merchant_frontends.sh
+ touch $@
diff --git a/taler-build/update_libgnurl.sh b/taler-build/update_libgnurl.sh
new file mode 100755
index 0000000..cac9ade
--- /dev/null
+++ b/taler-build/update_libgnurl.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+export PATH="$HOME/deployment":$PATH
+base=${TALER_DEPLOYMENT_BASE:-$HOME}
+
+build_gnurl() {
+ (
+ set -eu
+ base=${TALER_DEPLOYMENT_BASE:-$HOME}
+
+ cd $HOME/gnurl
+ git clean -fdx
+ ./bootstrap
+ ./configure --enable-ipv6 --with-gnutls --without-libssh2 --without-libmetalink --without-winidn --without-librtmp --without-nghttp2 --without-nss --without-cyassl --without-polarssl --without-ssl --without-winssl --without-darwinssl --disable-sspi --disable-ntlm-wb --disable-ldap --disable-rtsp --disable-dict --disable-telnet --disable-tftp --disable-pop3 --disable-imap --disable-smtp --disable-gopher --disable-file --disable-ftp --disable-smb --prefix=$base/local
+ make
+ make install
+ )
+}
+
+cd $base/gnurl/ && \
+ git pull && \
+ cd $base/deployment && \
+ build_gnurl
diff --git a/taler-build/update_libmicrohttpd.sh b/taler-build/update_libmicrohttpd.sh
new file mode 100755
index 0000000..c2f202a
--- /dev/null
+++ b/taler-build/update_libmicrohttpd.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+base=${TALER_DEPLOYMENT_BASE:-$HOME}
+
+cd $base/libmicrohttpd/ && \
+ svn revert -R . && \
+ svn update && \
+ ./bootstrap \
+ ./configure --prefix=$base/local \
+ make && \
+ make install
diff --git a/taler-build/update_merchant_frontends.sh b/taler-build/update_merchant_frontends.sh
new file mode 100755
index 0000000..32a9122
--- /dev/null
+++ b/taler-build/update_merchant_frontends.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+base=${TALER_DEPLOYMENT_BASE:-$HOME}
+
+export PATH="$base/deployment":$PATH
+
+cd $base/merchant-frontends/ && \
+ git pull && \
+ git submodule update --init && \
+ git clean -fxd && \
+ ./bootstrap && \
+ ./configure --prefix="$base/local" && \
+ make && \
+ make install && \
+ cd $base/deployment && \
+ arm.sh -k taler-blog && \
+ arm.sh -k taler-donations
+arm.sh -i taler-blog
+arm.sh -i taler-donations